---
title: Keyboard Navigation
page_title: Keyboard Navigation - Menu - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI Menu wrapper for Vue."
slug: keyboard_navigation_menu
position: 20
---

# Keyboard Navigation

The keyboard navigation of the Menu is always available.

To focus the Menu, either:
* Click in the example area and press the `Tab` key, or
* Use `Alt`+`w` for the vertical and `Alt`+`q` for the horizontal Menu.

The Menu supports the following keyboard shortcuts:

| SHORTCUT    | DESCRIPTION |
|:---         |:--- |
| `Alt`+`w` | Focuses the vertical Menu.|
| `Alt`+`q` | Focuses the horizontal Menu.|
| `Home`    | Goes to the first item.|
| `End`     | Goes to the last item.|
| `Right Arrow` | Goes to the next item or opens an item group.|
| `Left Arrow`  | Goes to the previous item or closes an item group.|
| `Down Arrow`  | Opens an item group or goes to the next item in a group.|
| `Up Arrow`    | Goes to the previous item in a group.|
| `Enter`   | Selects or navigates to an item (same as click).|
| `Space`   | Selects or navigates to an item (same as click).|
| `Esc`     | Closes the innermost open group.|
| `Tab`     | Tabs away from the Menu to the next focusable page element.|
| `Shift`+`Tab` | Tabs away from the Menu to the previously focusable page element.|

{% meta height:500 %}
{% embed_file menu/keyboard/main.vue preview %}
{% embed_file menu/keyboard/main.js %}
{% endmeta %}


## Suggested Links

* [Kendo UI Menu for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/menu/overview)
* [API Reference of the Menu Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/menu)
